Index: palm/trunk/DOC/app/chapter_4.2.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.2.html	(revision 265)
+++ palm/trunk/DOC/app/chapter_4.2.html	(revision 266)
@@ -7976,6 +7976,6 @@
 For visualization
 purposes particles can be given a
-diameter by the parameter <a href="chapter_4.2.html#dvrp_psize">dvrp_psize</a>
-(this diameter only affects the visualization). All particles have the
+diameter using the parameters <a href="chapter_4.2.html#dvrp_psize">dvrp_psize</a>
+and <a href="#particle_dvrpsize">particle_dvrpsize</a> (this diameter only affects the visualization). All particles have the
 same size. Alternatively, particles can be given an individual size and
 a </span>color <span lang="en-GB">by modifying the
@@ -8799,81 +8799,5 @@
 
 
-    <tr>
-
-
- <td style="vertical-align: top;"> 
-      
-      
-      <p><a name="dvrp_psize"></a><b>dvrp_psize</b></p>
-
-
-
-      </td>
-
-
- <td style="vertical-align: top;">R<br>
-
-
- </td>
-
-
-
-      <td style="vertical-align: top;">0.2 * dx<br>
-
-
- </td>
-
-
-
-      <td style="vertical-align: top;"> 
-      
-      
-      <p>Diameter that
-the particles is given in visualizations with
-the <span style="font-weight: bold;">dvrp</span>
-software (in
-m).&nbsp; </p>
-
-
- 
-      
-      
-      <p>In case that particles are
-visualized with the <span style="font-weight: bold;">dvrp</span>
-software (see <a href="chapter_4.5.7.html">chapter
-4.5.7</a>), their size can be set by parameter <b>dvrp_psize</b>.
-All
-particles are displayed with this same size.<br>
-
-
- </p>
-
-
- 
-      
-      
-      <p>Alternatively,
-the particle diameters can be set with the
-user-interface in routine <span style="font-family: monospace;">user_init_particles</span>
-(at the beginning of the simulation) and/or can be redefined after each
-timestep in routine <tt>user<font style="font-size: 11pt;" size="2">_particle_attributes</font></tt>
-(both routines can be found in file <tt><font style="font-size: 11pt;" size="2">user_interface.f90</font></tt><font style="font-size: 11pt;" size="2">)</font>.&nbsp;</p>
-
-
-
-      
-      
-      <p><b>Note:</b> This parameter determines exclusively
-the size
-under which particles appear in the <span style="font-weight: bold;">dvrp</span>
-visualization. The flow relevant particle radius is determined via the
-particle package parameter <a href="#radius">radius</a>!</p>
-
-
-
-      </td>
-
-
- </tr>
+    
 
 
@@ -10236,10 +10160,22 @@
 
 
- <tr><td style="vertical-align: top;"><a name="cluster_size"></a><span style="font-weight: bold;">cluster_size</span></td><td style="vertical-align: top;">I</td><td style="vertical-align: top;"><span style="font-style: italic;">1</span></td><td>Vertex cluster size for polygon reduction of topography.<br><br>This
+ <tr><td style="vertical-align: top;"><span style="font-weight: bold;"><a name="clip_dvrp_l"></a>clip_dvrp_l</span></td><td style="vertical-align: top;">R</td><td style="vertical-align: top;"><span style="font-style: italic;">0.0</span></td><td style="vertical-align: top;">Left boundary of the displayed domain (in m).<br><br>This
+parameter can be used to restrict the display of the total horizontal
+domain, e.g. to reduce the data size of the dvr-output in order to
+speed-up&nbsp;the animated sequence.</td></tr><tr><td style="vertical-align: top;"><span style="font-weight: bold;"><a name="clip_dvrp_n"></a>clip_dvrp_n</span></td><td style="vertical-align: top;">R</td><td style="vertical-align: top;"><span style="font-style: italic;">(<a href="chapter_4.1.html#ny">ny</a>+1)*<a href="chapter_4.1.html#dy">dy</a></span></td><td style="vertical-align: top;">North boundary of the displayed domain (in m).<br><br>This parameter can
+be used to restrict the display of the total horizontal domain, e.g. to
+reduce the data size of the dvr-output in order to speed-up&nbsp;the
+animated sequence.</td></tr><tr><td style="vertical-align: top;"><span style="font-weight: bold;"><a name="clip_dvrp_r"></a>clip_dvrp_r</span></td><td style="vertical-align: top;">R</td><td style="vertical-align: top;"><span style="font-style: italic;">(<a href="chapter_4.1.html#nx">nx</a>+1)*<a href="chapter_4.1.html#dx">dx</a></span></td><td style="vertical-align: top;">Right boundary of the displayed domain (in m).<br><br>This parameter can
+be used to restrict the display of the total horizontal domain, e.g. to
+reduce the data size of the dvr-output in order to speed-up&nbsp;the
+animated sequence.</td></tr><tr><td style="vertical-align: top;"><span style="font-weight: bold;"><a name="clip_dvrp_s"></a>clip_dvrp_s</span></td><td style="vertical-align: top;">R</td><td style="vertical-align: top;"><span style="font-style: italic;">0.0</span></td><td style="vertical-align: top;">South boundary of the displayed domain (in m).<br><br>This parameter can
+be used to restrict the display of the total horizontal domain, e.g. to
+reduce the data size of the dvr-output in order to speed-up&nbsp;the
+animated sequence.</td></tr><tr><td style="vertical-align: top;"><a name="cluster_size"></a><span style="font-weight: bold;">cluster_size</span></td><td style="vertical-align: top;">I</td><td style="vertical-align: top;"><span style="font-style: italic;">1</span></td><td>Vertex cluster size for polygon reduction of topography.<br><br>This
 parameter can be used to reduce the number of polygones which form the
 topography isosurface. In case of large numerical grids (large number
 of gridpoints) and /or complex topography, cluster_size &gt; 1 may
 speed up the animation significantly. Disadvantage: buildings may loose
-their strict rectangular shape.<br><br>The allowed range of values is 1 &lt;= <span style="font-weight: bold;">cluster_size</span> &lt;= 5.<br><br> <span style="font-weight: bold;">Warning:</span> The allowed range of values is not checked. Wrong values may lead to unforseen effects or even aborts! </td></tr><tr>
+their strict rectangular shape.<br><br>The allowed range of values is 1 &lt;= <span style="font-weight: bold;">cluster_size</span> &lt;= 5.<br><br> <span style="font-weight: bold;">Warning:</span> The allowed range of values is not checked. Wrong values may lead to unforseen effects or even aborts! </td></tr><tr><td style="vertical-align: top;"><span style="font-weight: bold;"><a name="color_interval"></a>color_interval</span></td><td style="vertical-align: top;">R(2)</td><td style="vertical-align: top;"><span style="font-style: italic;">0.0, 1.0</span></td><td style="vertical-align: top;">Interval of values used for determining the particle color displayed in the animation.<br><br>See <a href="#particle_color">particle_color</a> for further explanation.</td></tr><tr>
 
 
@@ -10307,5 +10243,5 @@
 
 
- <tr>
+ <tr><td style="vertical-align: top;"><span style="font-weight: bold;"><a name="dvrpsize_interval"></a>dvrpsize_interval</span></td><td style="vertical-align: top;">R(2)</td><td style="vertical-align: top;"><span style="font-style: italic;">0.0, 1.0</span></td><td style="vertical-align: top;">Interval of values used for determining the particle size displayed in the animation.<br><br>See <a href="#particle_dvrpsize">particle_dvrpsize</a> for further explanation.</td></tr><tr>
 
 
@@ -10639,5 +10575,42 @@
 
 
- <tr>
+ <tr><td style="vertical-align: top;"><p><a name="dvrp_psize"></a><b>dvrp_psize</b></p></td><td style="vertical-align: top;">R</td><td style="vertical-align: top;"><span style="font-style: italic;">0.2 * <a href="chapter_4.1.html#dx">dx</a></span></td><td style="vertical-align: top;"><p>Diameter that particles are given in visualizations with
+the <span style="font-weight: bold;">dvrp</span>
+software (in
+m).&nbsp; </p>
+
+
+ 
+      
+      
+      <p>In case that particles are
+visualized with the <span style="font-weight: bold;">dvrp</span>
+software (see <a href="chapter_4.5.7.html">chapter
+4.5.7</a>), their size can be set by parameter <b>dvrp_psize</b>.
+All
+particles are displayed with this same size.<br>
+
+
+ </p>
+
+
+ 
+      
+      
+      <p>Alternatively, the particle size can be controlled by certain flow parameters using parameter <a href="#particle_dvrpsize">particle_dvrpsize</a>.</p><p>Another way to control
+the particles diameter is to set it with the
+user-interface in routine <span style="font-family: monospace;">user_init_particles</span>
+(at the beginning of the simulation) and/or to redefine it after each
+timestep in routine <tt>user<font style="font-size: 11pt;" size="2">_particle_attributes</font></tt>.&nbsp;</p>
+
+
+
+      
+      
+      <p><b>Note:</b> This parameter determines exclusively
+the size
+under which particles appear in the <span style="font-weight: bold;">dvrp</span>
+visualization. The flow relevant particle radius is determined via the
+particle parameter <a href="chapter_4.2.html#radius">radius</a>!</p></td></tr><tr>
 
 
@@ -10779,6 +10752,6 @@
       
       
-      <p>The vertical extension of the displayed domain is
-given by <a href="#nz_do3d">nz_do3d</a>.</p><p>If user-defined dvrp objects exist (see <a href="chapter_3.5.4.html">chapter 3.5.4</a>), then&nbsp;<span style="font-weight: bold;">mode_dvrp</span> may also refer to quantities selected with the parameter&nbsp;<a href="chapter_4.3.html#data_output_user">data_output_user</a> (internally PALM appends them to those selected&nbsp;with
+      <p>The particles color and size can be set using parameters <a href="#particle_color">particle_color</a> and <a href="#particle_dvrpsize">particle_dvrpsize</a>.</p><p>The vertical extension of the displayed domain is
+given by <a href="#nz_do3d">nz_do3d</a>.</p><p>The displayed horizontal domain can be restricted using parameters <a href="#clip_dvrp_l">clip_dvrp_l</a>, <a href="#clip_dvrp_r">clip_dvrp_r</a>, <a href="#clip_dvrp_n">clip_dvrp_n</a>, <a href="#clip_dvrp_s">clip_dvrp_s</a>.</p><p>If user-defined dvrp objects exist (see <a href="chapter_3.5.4.html">chapter 3.5.4</a>), then&nbsp;<span style="font-weight: bold;">mode_dvrp</span> may also refer to quantities selected with the parameter&nbsp;<a href="chapter_4.3.html#data_output_user">data_output_user</a> (internally PALM appends them to those selected&nbsp;with
 the parameter <a href="chapter_4.2.html#data_output">data_output</a>).
 
@@ -10827,5 +10800,11 @@
 
 
- <tr>
+ <tr><td style="vertical-align: top;"><a style="font-weight: bold;" name="particle_color"></a><span style="font-weight: bold;">particle_color</span></td><td style="vertical-align: top;">C*10</td><td style="vertical-align: top;"><span style="font-style: italic;">'none'</span></td><td style="vertical-align: top;">Parameter, which allows to bind the displayed particle color to certain flow quantities.<br><br>By default, particles have a black color.<br><br>Allowed values for <span style="font-weight: bold;">particle_color</span> are:<br><br><table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2"><tbody><tr><td style="vertical-align: top;"><span style="font-style: italic;">'absuv'</span></td><td style="vertical-align: top;">Particle color depends on the absolute value of the resolved-scale horizontal velocity (SQRT(u<sup>2</sup>+v<sup>2</sup>) at the particle position.</td></tr><tr><td style="vertical-align: top;"><span style="font-style: italic;">'pt*'</span></td><td style="vertical-align: top;">Particle
+color depends on the deviation of the resolved-scale potential
+temperature at the particle position from the horizontally averaged
+potential temperature (total domain).</td></tr><tr><td style="vertical-align: top;"><span style="font-style: italic;">'z'</span></td><td style="vertical-align: top;">Particle color depends on the height of the particle with respect to the bottom boundary (z=0).</td></tr></tbody></table><br>The
+colortable used for particles ranges from deep blue to deep red with
+yellow in between. The interval of values from the above listed
+quantities to be mapped to these colors is defined by parameter <a href="#color_interval">color_interval</a>.<br><br><span style="font-weight: bold;">Example:<br></span>If <span style="font-weight: bold;">particle_color</span> = <span style="font-style: italic;">'pt*'</span> and <a href="#color_interval">color_interval</a> = <span style="font-style: italic;">-0.5</span>, <span style="font-style: italic;">+0.5</span>, then all particles at positions with <span style="font-style: italic;">pt* </span>&lt;=<span style="font-style: italic;"> -0.5 K</span> will have a deep blue color and those at positions with <span style="font-style: italic;">pt*</span> &gt;= <span style="font-style: italic;">+0.5 K</span> will have a deep red color, while those with <span style="font-style: italic;">-0.5</span> &lt; <span style="font-style: italic;">pt*</span> &lt; <span style="font-style: italic;">+0.5</span> will vary in color from deep blue to deep red and transition from yellow to blue indicate <span style="font-style: italic;">pt*</span> ~ <span style="font-style: italic;">0.0</span>.</td></tr><tr><td style="vertical-align: top;"><span style="font-weight: bold;"><a name="particle_dvrpsize"></a>particle_dvrpsize</span></td><td style="vertical-align: top;">C*10</td><td style="vertical-align: top;"><span style="font-style: italic;">'none'</span></td><td style="vertical-align: top;">Parameter, which allows to bind the displayed particle size to certain flow quantities.<br><br>The default particle size (diameter) is determined with parameter <a href="#dvrp_psize">dvrp_psize</a>.<br><br>Allowed values for <span style="font-weight: bold;">particle_dvrpsize</span> are:<br><table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2"><tbody><tr><td style="vertical-align: top;"><span style="font-style: italic;">'absw'</span></td><td style="vertical-align: top;">The particle size depends on the absolute value of the resolved-scale vertical velocity w at the particle position.</td></tr></tbody></table><br>The particle sizes ranges from 0.25*<a href="chapter_4.1.html#dx">dx</a> m to 0.85*<a href="chapter_4.1.html#dx">dx</a> m. The interval of values from the above listed quantities to be mapped to these sizes is defined by parameter <a href="#dvrpsize_interval">dvrpsize_interval</a>.<br><br><span style="font-weight: bold;">Example:</span><br>If <span style="font-weight: bold;">particle_dvrpsize</span> = <span style="font-style: italic;">'absw'</span> and <a href="#dvrpsize_interval">dvrpsize_interval</a> = <span style="font-style: italic;">1.0</span>, <span style="font-style: italic;">2.0</span>, then all particles at positions where the absolute value of w is &lt;= <span style="font-style: italic;">1.0</span> m/s will have a size of <span style="font-style: italic;">0.25*dx</span> m and those at positions with |w| &gt;= <span style="font-style: italic;">2.0</span> m/s will have a size of <span style="font-style: italic;">0.85*dx</span> m, while those with <span style="font-style: italic;">1.0</span> m/s &lt; |w| &lt; <span style="font-style: italic;">2.0</span> m/s will linearly vary in size from <span style="font-style: italic;">0.25*dx</span> m to <span style="font-style: italic;">0.85*dx</span> m.</td></tr><tr>
 
 
Index: palm/trunk/DOC/app/chapter_4.6.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.6.html	(revision 265)
+++ palm/trunk/DOC/app/chapter_4.6.html	(revision 266)
@@ -1863,5 +1863,5 @@
 
 
- <tr>
+ <tr><td align="undefined" valign="undefined"><a href="chapter_4.2.html#clip_dvrp_l"><span style="font-weight: bold;">clip_dvrp_l</span></a></td><td align="undefined" valign="undefined">P</td><td align="undefined" valign="undefined">R</td><td align="undefined" valign="undefined"><span style="font-style: italic;">0.0</span></td><td align="undefined" valign="undefined">Left boundary of the displayed domain (in m).</td></tr><tr><td align="undefined" valign="undefined"><a href="chapter_4.2.html#clip_dvrp_n"><span style="font-weight: bold;">clip_dvrp_n</span></a></td><td align="undefined" valign="undefined">P</td><td align="undefined" valign="undefined">R</td><td align="undefined" valign="undefined"><span style="font-style: italic;">(ny+1)*dy</span></td><td align="undefined" valign="undefined">North boundary of the displayed domain (in m).</td></tr><tr><td align="undefined" valign="undefined"><a href="chapter_4.2.html#clip_dvrp_r"><span style="font-weight: bold;">clip_dvrp_r</span></a></td><td align="undefined" valign="undefined">P</td><td style="font-style: italic;" align="undefined" valign="undefined">R</td><td style="font-style: italic;" align="undefined" valign="undefined">(nx+1)*dx</td><td align="undefined" valign="undefined">Right boundary of the displayed domain (in m).</td></tr><tr><td align="undefined" valign="undefined"><a href="chapter_4.2.html#clip_dvrp_s"><span style="font-weight: bold;">clip_dvrp_s</span></a></td><td align="undefined" valign="undefined">P</td><td align="undefined" valign="undefined">R</td><td align="undefined" valign="undefined">0.0</td><td align="undefined" valign="undefined">South boundary of the displayed domain (in m).</td></tr><tr>
 
 
@@ -1987,5 +1987,5 @@
 
 
- <tr><td><a href="chapter_4.2.html#cluster_size"><span style="font-weight: bold;">cluster_size</span></a></td><td>P</td><td>I</td><td><span style="font-style: italic;">1</span></td><td>Vertex cluster size for polygon reduction of topography.</td></tr><tr>
+ <tr><td><a href="chapter_4.2.html#cluster_size"><span style="font-weight: bold;">cluster_size</span></a></td><td>P</td><td>I</td><td><span style="font-style: italic;">1</span></td><td>Vertex cluster size for polygon reduction of topography.</td></tr><tr><td align="undefined" valign="undefined"><a href="chapter_4.2.html#color_interval"><span style="font-weight: bold;">color_interval</span></a></td><td align="undefined" valign="undefined">P</td><td align="undefined" valign="undefined">R(2)</td><td align="undefined" valign="undefined"><span style="font-style: italic;">0.0</span>, <span style="font-style: italic;">1.0</span></td><td align="undefined" valign="undefined">Interval of values used for determining the particle color displayed in the animation.</td></tr><tr>
 
 
@@ -5358,5 +5358,5 @@
 
 
- <tr valign="top">
+ <tr><td align="undefined" valign="undefined"><a href="chapter_4.2.html#dvrpsize_interval"><span style="font-weight: bold;">dvrpsize_interval</span></a></td><td align="undefined" valign="undefined">P</td><td align="undefined" valign="undefined">R(2)</td><td align="undefined" valign="undefined"><span style="font-style: italic;">0.0</span>, <span style="font-style: italic;">1.0</span></td><td align="undefined" valign="undefined">Interval of values used for determining the particle size displayed in the animation.</td></tr><tr valign="top">
 
 
@@ -8991,5 +8991,5 @@
 
 
- <tr>
+ <tr><td align="undefined" valign="undefined"><a href="chapter_4.2.html#particle_color"><span style="font-weight: bold;">particle_color</span></a></td><td align="undefined" valign="undefined">P</td><td align="undefined" valign="undefined">C*10</td><td align="undefined" valign="undefined"><span style="font-style: italic;">'none'</span></td><td align="undefined" valign="undefined">Parameter, which allows to bind the displayed particle color to certain flow quantities.</td></tr><tr><td align="undefined" valign="undefined"><a style="font-weight: bold;" href="chapter_4.2.html#particle_dvrpsize">particle_dvrpsize</a></td><td align="undefined" valign="undefined">P</td><td align="undefined" valign="undefined">C*10</td><td align="undefined" valign="undefined"><span style="font-style: italic;">'none'</span></td><td align="undefined" valign="undefined">Parameter, which allows to bind the displayed particle size to certain flow quantities.</td></tr><tr>
 
 
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 265)
+++ palm/trunk/SCRIPTS/mbuild	(revision 266)
@@ -97,10 +97,12 @@
      # 14/11/08 - Siggi - update mechanism completely revised: source tarfile
      #                    remains in source directory, one depository per block
-     #                    (given in the config-file) is created, always all files
-     #                    from the source directory are copied to the respective
-     #                    depository, no additional file checks are done any more
-     #                    (version 2.1)
+     #                    (given in the config-file) is created, allways all
+     #                    files from the source directory are copied to the
+     #                    respective depository, no additional file checks are
+     #                    done any more (version 2.1)
      # 13/01/09 - Marcus- re-enable compilation more than once on lcmuk (as on 
      #                    other machines)
+     # 21/03/09 - Siggi - -u copies also copies process_dvr_output and
+     #                    .dvrserver.config
 
 
@@ -1185,7 +1187,7 @@
                    # KOENNEN DOLLAR-ZEICHEN NICHT BENUTZT WERDEN
                 remote_ud=`echo $remote_ud | sed 's/\$HOME\///'`
-                /bin/scp  batch_scp mbuild mrun subjob  ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
+                /bin/scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob  ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
              else
-                scp  batch_scp mbuild mrun subjob  ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
+                scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob  ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
              fi
 
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 265)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 266)
@@ -42,9 +42,11 @@
 First constant in array den also defined as type double. (eqn_state_seawater)
 
+Parameter dvrp_psize moved from particles_par to dvrp_graphics_par. (package_parin)
+
 topography_grid_convention moved from userpar to inipar (check_parameters,
 header, parin, read_var_list, user_check_parameters, user_header, 
 user_init_grid, user_parin, write_var_list)
 
-advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, netcdf, output_particles_netcdf, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
+advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, netcdf, output_particles_netcdf, package_parin, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
 
 
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 265)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 266)
@@ -5,5 +5,6 @@
 ! -----------------
 ! +clip_dvrp_*, cluster_size, color_interval, dvrpsize_interval, particle_color,
-! dvrpsize_color in dvrp_graphics_par
+! particle_dvrpsize in dvrp_graphics_par,
+! parameter dvrp_psize moved from particles_par to dvrp_graphics_par
 ! Variables for dvrp-mode pathlines added
 !
Index: palm/trunk/SOURCE/set_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/set_particle_attributes.f90	(revision 265)
+++ palm/trunk/SOURCE/set_particle_attributes.f90	(revision 266)
@@ -32,6 +32,7 @@
 
     INTEGER ::  i, j, k, n
-    REAL    ::  aa, bb, cc, dd, gg, pt_int, pt_int_l, pt_int_u, w_int, &
-                w_int_l, w_int_u, x, y
+    REAL    ::  aa, absuv, bb, cc, dd, gg, pt_int, pt_int_l, pt_int_u, u_int, &
+                u_int_l, u_int_u, v_int, v_int_l, v_int_u, w_int, w_int_l,    &
+                w_int_u, x, y
 
 
@@ -41,4 +42,82 @@
 !-- Set particle color
     IF ( particle_color == 'absuv' )  THEN
+
+!
+!--    Set particle color depending on the absolute value of the horizontal
+!--    velocity
+       DO  n = 1, number_of_particles
+!
+!--       Interpolate u velocity-component, determine left, front, bottom
+!--       index of u-array
+          i = ( particles(n)%x + 0.5 * dx ) * ddx
+          j =   particles(n)%y * ddy
+          k = ( particles(n)%z + 0.5 * dz * atmos_ocean_sign ) / dz  &
+              + offset_ocean_nzt                     ! only exact if equidistant
+
+!
+!--       Interpolation of the velocity components in the xy-plane
+          x  = particles(n)%x + ( 0.5 - i ) * dx
+          y  = particles(n)%y - j * dy
+          aa = x**2          + y**2
+          bb = ( dx - x )**2 + y**2
+          cc = x**2          + ( dy - y )**2
+          dd = ( dx - x )**2 + ( dy - y )**2
+          gg = aa + bb + cc + dd
+
+          u_int_l = ( ( gg - aa ) * u(k,j,i)   + ( gg - bb ) * u(k,j,i+1)   &
+                    + ( gg - cc ) * u(k,j+1,i) + ( gg - dd ) * u(k,j+1,i+1) &
+                    ) / ( 3.0 * gg ) - u_gtrans
+          IF ( k+1 == nzt+1 )  THEN
+             u_int = u_int_l
+          ELSE
+             u_int_u = ( ( gg-aa ) * u(k+1,j,i)   + ( gg-bb ) * u(k+1,j,i+1)   &
+                       + ( gg-cc ) * u(k+1,j+1,i) + ( gg-dd ) * u(k+1,j+1,i+1) &
+                       ) / ( 3.0 * gg ) - u_gtrans
+             u_int = u_int_l + ( particles(n)%z - zu(k) ) / dz * &
+                               ( u_int_u - u_int_l )
+          ENDIF
+
+!
+!--       Same procedure for interpolation of the v velocity-component (adopt
+!--       index k from u velocity-component)
+          i =   particles(n)%x * ddx
+          j = ( particles(n)%y + 0.5 * dy ) * ddy
+
+          x  = particles(n)%x - i * dx
+          y  = particles(n)%y + ( 0.5 - j ) * dy
+          aa = x**2          + y**2
+          bb = ( dx - x )**2 + y**2
+          cc = x**2          + ( dy - y )**2
+          dd = ( dx - x )**2 + ( dy - y )**2
+          gg = aa + bb + cc + dd
+
+          v_int_l = ( ( gg - aa ) * v(k,j,i)   + ( gg - bb ) * v(k,j,i+1)   &
+                 + ( gg - cc ) * v(k,j+1,i) + ( gg - dd ) * v(k,j+1,i+1) &
+                 ) / ( 3.0 * gg ) - v_gtrans
+          IF ( k+1 == nzt+1 )  THEN
+             v_int = v_int_l
+          ELSE
+             v_int_u = ( ( gg-aa ) * v(k+1,j,i)   + ( gg-bb ) * v(k+1,j,i+1)   &
+                       + ( gg-cc ) * v(k+1,j+1,i) + ( gg-dd ) * v(k+1,j+1,i+1) &
+                       ) / ( 3.0 * gg ) - v_gtrans
+             v_int = v_int_l + ( particles(n)%z - zu(k) ) / dz * &
+                               ( v_int_u - v_int_l )
+          ENDIF
+
+          absuv = SQRT( u_int**2 + v_int**2 )
+
+!
+!--       Limit values by the given interval and normalize to interval [0,1]
+          absuv = MIN( absuv, color_interval(2) )
+          absuv = MAX( absuv, color_interval(1) )
+
+          absuv = ( absuv - color_interval(1) ) / &
+                  ( color_interval(2) - color_interval(1) )
+
+!
+!--       Number of available colors is defined in init_dvrp
+          particles(n)%color = 1 + absuv * ( dvrp_colortable_entries_prt - 1 )
+
+       ENDDO
 
     ELSEIF ( particle_color == 'pt*' )  THEN
@@ -110,7 +189,26 @@
           particles(n)%color = 1 + pt_int * ( dvrp_colortable_entries_prt - 1 )
 
-    ENDDO
+       ENDDO
 
     ELSEIF ( particle_color == 'z' )  THEN
+!
+!--    Set particle color depending on the height above the bottom
+!--    boundary (z=0)
+       DO  n = 1, number_of_particles
+
+          height = particles(n)%z
+!
+!--       Limit values by the given interval and normalize to interval [0,1]
+          height = MIN( height, color_interval(2) )
+          height = MAX( height, color_interval(1) )
+
+          height = ( height - color_interval(1) ) / &
+                   ( color_interval(2) - color_interval(1) )
+
+!
+!--       Number of available colors is defined in init_dvrp
+          particles(n)%color = 1 + height * ( dvrp_colortable_entries_prt - 1 )
+
+       ENDDO
 
     ENDIF
@@ -149,6 +247,14 @@
           ENDIF
 
-          particles(n)%dvrp_psize = ( 0.2 + MIN( 0.6, ABS( w_int ) / 6.0 ) ) * &
-                                    dx * 1.4
+!
+!--       Limit values by the given interval and normalize to interval [0,1]
+          w_int = ABS( w_int )
+          w_int = MIN( w_int, dvrpsize_interval(2) )
+          w_int = MAX( w_int, dvrpsize_interval(1) )
+
+          w_int = ( w_int - dvrpsize_interval(1) ) / &
+                  ( dvrpsize_interval(2) - dvrpsize_interval(1) )
+
+          particles(n)%dvrp_psize = ( 0.25 + w_int * 0.6 ) * dx
 
        ENDDO