Index: /palm/trunk/DOC/app/chapter_3.4.html
===================================================================
--- /palm/trunk/DOC/app/chapter_3.4.html	(revision 269)
+++ /palm/trunk/DOC/app/chapter_3.4.html	(revision 270)
@@ -3340,7 +3340,7 @@
 
 
-      <td>Two-dimensional&nbsp;<font color="#000000">topography
+      <td>Two-dimensional rastered <font color="#000000">topography
 height information</font>
-in m.<br>
+(in m above ground).<br><br>
 
 
@@ -3348,5 +3348,5 @@
 = <span style="font-style: italic;">'read_from_file'</span>
 the&nbsp;subroutine <span style="font-family: Cumberland AMT;">init_grid</span>&nbsp;reads
-the topography height information in m for each grid point in
+the topography height information (in m above ground) for each grid point in
 a free floating point format. The data on file are laid out naturally,
 i.e. in W-E orientation horizontally and in S-N orientation vertically,
@@ -3378,26 +3378,23 @@
 
 
-      <span style="font-family: Cumberland AMT;">&nbsp;
+      <big><span style="font-family: monospace;">&nbsp;
 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
 &nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp;N<br>
 
 
-&nbsp; &nbsp; (0,ny) &nbsp;&nbsp;</span><font color="#000000"><span style="font-family: Cumberland AMT;">(1,ny)
-&nbsp;&nbsp;</span></font><font color="#000000"><span style="font-family: Cumberland AMT;">(2,ny) &nbsp;
-...&nbsp;</span></font><font color="#000000"><span style="font-family: Cumberland AMT;">(nx,ny) &nbsp;
-&nbsp; &nbsp;<span style="font-family: Times New Roman,Times,serif;"></span></span></font><font color="#000000">&nbsp;top of file</font><font color="#000000"><span style="font-family: Cumberland AMT;"><span style="font-family: Times New Roman,Times,serif;"></span></span></font><br>
-
-
-      <font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">&nbsp; &nbsp;
-(0,ny-1)&nbsp;</span><font color="#000000"><span style="font-family: Cumberland AMT;">(1,ny-1)&nbsp;</span></font><font color="#000000"><span style="font-family: Cumberland AMT;">(2,ny-1)
-...&nbsp;</span></font><font color="#000000"><span style="font-family: Cumberland AMT;">(nx,ny-1) &nbsp;<br>
-
-
-      </span></font></font><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">W &nbsp;
-(0,ny-2)&nbsp;</span><font color="#000000"><span style="font-family: Cumberland AMT;">(1,ny-2)&nbsp;</span></font><font color="#000000"><span style="font-family: Cumberland AMT;">(2,ny-2)
-...&nbsp;</span></font><font color="#000000"><span style="font-family: Cumberland AMT;">(nx,ny-2) &nbsp; E<br>
-
-
-      </span></font></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">&nbsp;
+&nbsp; &nbsp; (0,ny) &nbsp;&nbsp;</span><font style="font-family: monospace;" color="#000000">(1,ny)
+&nbsp;&nbsp;</font><font style="font-family: monospace;" color="#000000">(2,ny) &nbsp;
+...&nbsp;</font><font style="font-family: monospace;" color="#000000">(nx,ny) &nbsp;
+&nbsp; &nbsp;</font><font style="font-family: monospace;" color="#000000">&nbsp;</font><small><font style="font-family: Helvetica,Arial,sans-serif;" color="#000000">top of file</font></small><br style="font-family: monospace;"><font style="font-family: monospace;" color="#000000"><font color="#000000">&nbsp; &nbsp;
+(0,ny-1)&nbsp;<font color="#000000">(1,ny-1)&nbsp;</font><font color="#000000">(2,ny-1)
+...&nbsp;</font><font color="#000000">(nx,ny-1) &nbsp;<br>
+
+
+      </font></font></font><font style="font-family: monospace;" color="#000000"><font color="#000000">W &nbsp;
+(0,ny-2)&nbsp;<font color="#000000">(1,ny-2)&nbsp;</font><font color="#000000">(2,ny-2)
+...&nbsp;</font><font color="#000000">(nx,ny-2) &nbsp; E<br>
+
+
+      </font></font></font><font style="font-family: monospace;" color="#000000"><font color="#000000">&nbsp;
 &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;:<br>
@@ -3409,53 +3406,53 @@
 
 
-      </span></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">&nbsp;
+      </font></font><font style="font-family: monospace;" color="#000000"><font color="#000000">&nbsp;
 &nbsp;
-(0,0) &nbsp;&nbsp;&nbsp;</span><font color="#000000"><span style="font-family: Cumberland AMT;">(1,0)
-&nbsp;&nbsp;&nbsp;</span></font><font color="#000000"><span style="font-family: Cumberland AMT;">(2,0)
-&nbsp; &nbsp;...&nbsp;</span></font><font color="#000000"><span style="font-family: Cumberland AMT;">(nx,0)
-&nbsp; &nbsp; &nbsp;&nbsp;</span></font></font></font><font color="#000000">&nbsp;bottom of file</font><br>
-
-
-      <font color="#000000"><span style="font-family: Cumberland AMT;">&nbsp; &nbsp;
+(0,0) &nbsp;&nbsp;&nbsp;<font color="#000000">(1,0)
+&nbsp;&nbsp;&nbsp;</font><font color="#000000">(2,0)
+&nbsp; &nbsp;...&nbsp;</font><font color="#000000">(nx,0)
+&nbsp; &nbsp; &nbsp;&nbsp;</font></font></font><font style="font-family: monospace;" color="#000000">&nbsp;</font><small><font style="font-family: Helvetica,Arial,sans-serif;" color="#000000">bottom of file</font></small><br style="font-family: monospace;"><font style="font-family: monospace;" color="#000000">&nbsp; &nbsp;
 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
-&nbsp; &nbsp; &nbsp;&nbsp; &nbsp;S<br></span></font>
-
-
-      <br><span style="font-family: Arial;"></span><font color="#000000">Example for a 50m building surrounded by a 12.5m podium on flat ground:<br>
-
-
-      <span style="font-family: Cumberland AMT;"></span><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">&nbsp;
+&nbsp; &nbsp; &nbsp;&nbsp; &nbsp;S<br></font><br style="font-family: monospace;"><span style="font-family: monospace;"></span><small><font style="font-family: Helvetica,Arial,sans-serif;" color="#000000">Example for a 50m tall building surrounded by a 12.5m tall podium on flat ground:</font></small><font style="font-family: monospace;" color="#000000"><br>
+
+
+      <font color="#000000"><font color="#000000">&nbsp;
 &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0
 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp;
-&nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0<br></span></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"> &nbsp; &nbsp;0 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
-</span></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"><br></span></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"> </span></font></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"> &nbsp; &nbsp;0 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
-</span></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"><br></span></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"> </span></font></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">&nbsp;
+&nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0<br></font></font></font><font style="font-family: monospace;" color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"> &nbsp; &nbsp;0 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
+</font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><br></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"> </font></font></font></font></font><font style="font-family: monospace;" color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"> &nbsp; &nbsp;0 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
+</font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><br></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"> </font></font></font></font></font><font style="font-family: monospace;" color="#000000"><font color="#000000"><font color="#000000"><font color="#000000">&nbsp;
 &nbsp;0 12.5 12.5 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50
 &nbsp; 50 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
-<br></span></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">
+<br></font></font></font></font><font style="font-family: monospace;" color="#000000"><font color="#000000"><font color="#000000"><font color="#000000">
 &nbsp; &nbsp;0 12.5 12.5 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp;
 50 &nbsp; 50 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
-<br></span></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">
+<br></font></font></font></font><font style="font-family: monospace;" color="#000000"><font color="#000000"><font color="#000000"><font color="#000000">
 &nbsp; &nbsp;0 12.5 12.5 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp;
 50 &nbsp; 50 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
-</span></font></font></font></font><br><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">&nbsp; &nbsp;0 12.5 12.5 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0 <br>
-</span></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">
+</font></font></font></font><br style="font-family: monospace;"><font style="font-family: monospace;" color="#000000"><font color="#000000"><font color="#000000"><font color="#000000">&nbsp; &nbsp;0 12.5 12.5 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0 <br>
+</font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000">
 &nbsp; &nbsp;0 12.5 12.5 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp;
 50 &nbsp; 50 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
-</span></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"><br></span></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">
+</font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><br></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000">
 &nbsp; &nbsp;0 12.5 12.5 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp; 50 &nbsp;
 50 &nbsp; 50 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
-<br></span></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"> &nbsp; &nbsp;0 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
-</span></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"><br></span></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"> </span></font></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"> &nbsp; &nbsp;0 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
-</span></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"><br></span></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"> </span></font></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;">&nbsp;
+<br></font></font></font></font></font><font style="font-family: monospace;" color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"> &nbsp; &nbsp;0 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
+</font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><br></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"> </font></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"> &nbsp; &nbsp;0 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 12.5 &nbsp; &nbsp;0 &nbsp; &nbsp;0&nbsp;
+</font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><br></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"> </font></font></font></font></font></font><font style="font-family: monospace;" color="#000000"><font color="#000000"><font color="#000000"><font color="#000000">&nbsp;
 &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0
 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp;
-&nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0<br></span></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font></font></font><font color="#000000"><font color="#000000"><font color="#000000"><span style="font-family: Cumberland AMT;"></span></font></font></font></font><br>
-
-
-These data must exactly match the horizontal grid. <font color="#000000">Due to the staggered grid the topography will be displaced by -0.5 <a href="chapter_4.1.html#dx">dx</a> in x-direction and -0.5 <a href="chapter_4.1.html#dy">dy</a> in y-direction.</font><br>
-
-
-Alternatively, the user may add code to the user interface subroutine <a href="chapter_3.5.1.html#user_init_grid">user_init_grid</a>
+&nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0 &nbsp; &nbsp;0<br></font></font></font></font></big>
+
+
+      
+
+
+      
+
+
+      <br>
+
+
+These data must exactly match the horizontal grid. <font color="#000000">Due to the staggered grid the topography may be displaced by -0.5 <a href="chapter_4.1.html#dx">dx</a> in x-direction and -0.5 <a href="chapter_4.1.html#dy">dy</a> in y-direction depending on the parameter <a href="chapter_4.1.html#topography_grid_convention">topography_grid_convention</a>. See </font>also the example in <big><code>trunk/EXAMPLES/topo_file/</code></big>.<br><br>Alternatively, the user may add code to the user interface subroutine <a href="chapter_3.5.1.html#user_init_grid">user_init_grid</a>
 to allow different data formats.</td>
 