Index: palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/init_dvrp.f90	(revision 271)
+++ palm/trunk/SOURCE/init_dvrp.f90	(revision 272)
@@ -10,4 +10,5 @@
 ! Polygon reduction for building and ground plate isosurface. Reduction level
 ! for buildings can be chosen with parameter cluster_size.
+! Steering, splitting, and rtsp routines not used on necriam.
 ! ToDo: checking of mode_dvrp for legal values is not correct
 ! Implementation of a MPI-1 coupling: __mpi2 adjustments for MPI_COMM_WORLD
@@ -219,7 +220,9 @@
              dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) ) // '/camera.dvr'
              dvrp_file_c = dvrp_file
+#ifndef __necriam
              CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                     dvrp_password_c, dvrp_directory_c, &
                                     dvrp_file_c )
+#endif
 
           ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -277,7 +280,9 @@
                               // '/topography.dvr'
                 dvrp_file_c = dvrp_file
+#ifndef __necriam
                 CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                        dvrp_password_c, dvrp_directory_c, &
                                        dvrp_file_c )
+#endif
 
              ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -400,7 +405,9 @@
                            '/groundplate.dvr'
              dvrp_file_c = dvrp_file
+#ifndef __necriam
              CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                     dvrp_password_c, dvrp_directory_c, &
                                     dvrp_file_c )
+#endif
 
           ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -530,6 +537,8 @@
                 name_c  = TRIM( do3d(0,vn) )
                 tmp_thr = threshold(tv)
+#ifndef __necriam
                 CALL DVRP_STEERING_INIT( m-1, name_c, steering_dvrp(pn)%min, &
                                          steering_dvrp(pn)%max, tmp_thr )
+#endif
 
              ELSEIF ( mode_dvrp(pn)(1:6) == 'slicer' )  THEN
@@ -546,24 +555,30 @@
                       steering_dvrp(pn)%imax   = nz_do3d
                       slicer_position_dvrp(pn) = section(1,1)
+#ifndef __necriam
                       CALL DVRP_STEERING_INIT( m-1, name_c,            &
                                                steering_dvrp(pn)%imin, &
                                                steering_dvrp(pn)%imax, &
                                                slicer_position_dvrp(pn) )
+#endif
                    CASE ( 'xz' )
                       steering_dvrp(pn)%imin   = 0
                       steering_dvrp(pn)%imax   = ny
                       slicer_position_dvrp(pn) = section(1,2)
+#ifndef __necriam
                       CALL DVRP_STEERING_INIT( m-1, name_c,            &
                                                steering_dvrp(pn)%imin, &
                                                steering_dvrp(pn)%imax, &
                                                slicer_position_dvrp(pn) )
+#endif
                    CASE ( 'yz' )
                       steering_dvrp(pn)%imin = 0
                       steering_dvrp(pn)%imax = nx
                       slicer_position_dvrp(pn) = section(1,3)
+#ifndef __necriam
                       CALL DVRP_STEERING_INIT( m-1, name_c,            &
                                                steering_dvrp(pn)%imin, &
                                                steering_dvrp(pn)%imax, &
                                                slicer_position_dvrp(pn) )
+#endif
                 END SELECT
 
@@ -576,7 +591,9 @@
           dvrp_file = prefix_chr // TRIM( mode_dvrp(m) ) // '/*****.dvr'
           dvrp_file_c = dvrp_file
+#ifndef __necriam
           CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                  dvrp_password_c, dvrp_directory_c, &
                                  dvrp_file_c )
+#endif
 
        ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -717,5 +734,7 @@
 !--    Adjustment for new MPI-1 coupling. This might be unnecessary.
 #if defined( __mpi2 )
+#ifndef __necriam
        CALL DVRP_SPLIT( MPI_COMM_WORLD, comm_palm )
+#endif
 #else
        IF ( coupling_mode /= 'uncoupled' ) THEN
@@ -724,7 +743,11 @@
           CALL message( 'init_dvrp_logging', 'PA0199', 1, 2, 0, 6, 0 )
  
-!          CALL DVRP_SPLIT( comm_inter, comm_palm )
+#ifndef __necriam
+          CALL DVRP_SPLIT( comm_inter, comm_palm )
+#endif
        ELSE
+#ifndef __necriam
           CALL DVRP_SPLIT( MPI_COMM_WORLD, comm_palm )
+#endif
        ENDIF
 #endif
@@ -764,5 +787,7 @@
        CALL DVRP_LOG_EVENT( -1, 1 )   ! Logging of total cpu-time used by PALM
        IF ( use_seperate_pe_for_dvrp_output )  THEN
+#ifndef __necriam
           CALL DVRP_SPLIT_EXIT( 1 )      ! Argument 0: reduced output
+#endif
        ELSE
           CALL DVRP_LOG_EXIT( 1 )        ! Argument 0: reduced output