Index: palm/trunk/SCRIPTS/.mrun.config.riam
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.riam	(revision 272)
+++ palm/trunk/SCRIPTS/.mrun.config.riam	(revision 273)
@@ -34,4 +34,6 @@
 %netcdf_inc        -I:/home/COAR/NC/tatuyama/pub/netcdf-3.6.0-p1/include      necriam parallel
 %netcdf_lib        -L/home/COAR/NC/tatuyama/pub/netcdf-3.6.0-p1/lib:-lnetcdf  necriam parallel
+%dvr_inc           -I:/home/COAR/NC/raasch/dvr/lib           necriam parallel
+%dvr_lib           -L/home/COAR/NC/raasch/dvr/lib:-lDVRP2:-lftp  necriam parallel
 %fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  necriam parallel
 %lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/mathkeisan/MK3_0/lib0/:-l:fft  necriam parallel
Index: palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/init_dvrp.f90	(revision 272)
+++ palm/trunk/SOURCE/init_dvrp.f90	(revision 273)
@@ -10,5 +10,5 @@
 ! Polygon reduction for building and ground plate isosurface. Reduction level
 ! for buildings can be chosen with parameter cluster_size.
-! Steering, splitting, and rtsp routines not used on necriam.
+! Steering, splitting, and rtsp routines not used on nec.
 ! ToDo: checking of mode_dvrp for legal values is not correct
 ! Implementation of a MPI-1 coupling: __mpi2 adjustments for MPI_COMM_WORLD
@@ -220,5 +220,5 @@
              dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) ) // '/camera.dvr'
              dvrp_file_c = dvrp_file
-#ifndef __necriam
+#ifndef __nec
              CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                     dvrp_password_c, dvrp_directory_c, &
@@ -280,5 +280,5 @@
                               // '/topography.dvr'
                 dvrp_file_c = dvrp_file
-#ifndef __necriam
+#ifndef __nec
                 CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                        dvrp_password_c, dvrp_directory_c, &
@@ -405,5 +405,5 @@
                            '/groundplate.dvr'
              dvrp_file_c = dvrp_file
-#ifndef __necriam
+#ifndef __nec
              CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                     dvrp_password_c, dvrp_directory_c, &
@@ -537,5 +537,5 @@
                 name_c  = TRIM( do3d(0,vn) )
                 tmp_thr = threshold(tv)
-#ifndef __necriam
+#ifndef __nec
                 CALL DVRP_STEERING_INIT( m-1, name_c, steering_dvrp(pn)%min, &
                                          steering_dvrp(pn)%max, tmp_thr )
@@ -555,5 +555,5 @@
                       steering_dvrp(pn)%imax   = nz_do3d
                       slicer_position_dvrp(pn) = section(1,1)
-#ifndef __necriam
+#ifndef __nec
                       CALL DVRP_STEERING_INIT( m-1, name_c,            &
                                                steering_dvrp(pn)%imin, &
@@ -565,5 +565,5 @@
                       steering_dvrp(pn)%imax   = ny
                       slicer_position_dvrp(pn) = section(1,2)
-#ifndef __necriam
+#ifndef __nec
                       CALL DVRP_STEERING_INIT( m-1, name_c,            &
                                                steering_dvrp(pn)%imin, &
@@ -575,5 +575,5 @@
                       steering_dvrp(pn)%imax = nx
                       slicer_position_dvrp(pn) = section(1,3)
-#ifndef __necriam
+#ifndef __nec
                       CALL DVRP_STEERING_INIT( m-1, name_c,            &
                                                steering_dvrp(pn)%imin, &
@@ -591,5 +591,5 @@
           dvrp_file = prefix_chr // TRIM( mode_dvrp(m) ) // '/*****.dvr'
           dvrp_file_c = dvrp_file
-#ifndef __necriam
+#ifndef __nec
           CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                  dvrp_password_c, dvrp_directory_c, &
@@ -734,5 +734,5 @@
 !--    Adjustment for new MPI-1 coupling. This might be unnecessary.
 #if defined( __mpi2 )
-#ifndef __necriam
+#ifndef __nec
        CALL DVRP_SPLIT( MPI_COMM_WORLD, comm_palm )
 #endif
@@ -743,9 +743,9 @@
           CALL message( 'init_dvrp_logging', 'PA0199', 1, 2, 0, 6, 0 )
  
-#ifndef __necriam
+#ifndef __nec
           CALL DVRP_SPLIT( comm_inter, comm_palm )
 #endif
        ELSE
-#ifndef __necriam
+#ifndef __nec
           CALL DVRP_SPLIT( MPI_COMM_WORLD, comm_palm )
 #endif
@@ -787,5 +787,5 @@
        CALL DVRP_LOG_EVENT( -1, 1 )   ! Logging of total cpu-time used by PALM
        IF ( use_seperate_pe_for_dvrp_output )  THEN
-#ifndef __necriam
+#ifndef __nec
           CALL DVRP_SPLIT_EXIT( 1 )      ! Argument 0: reduced output
 #endif