Index: palm/trunk/DOC/tec/message_identifiers
===================================================================
--- palm/trunk/DOC/tec/message_identifiers	(revision 270)
+++ palm/trunk/DOC/tec/message_identifiers	(revision 274)
@@ -213,5 +213,5 @@
     PA0137            mixing_length_1d = "..." is unknown
     PA0138            dissipation_1d = "..." is unknown
-    PA0139            termination_time_needed = ...  must be > 30.0 on host ..."
+    PA0139            termination_time_needed = ...  must be > 30.0 on host ...
     PA0140            termination_time_needed = ... should be >= 300.0 
                        on host "..."     
@@ -234,5 +234,6 @@
                        but one of them must be .FALSE.
     PA0151            dp_level_b = ... is out of range
-    PA0152            dp_external is .TRUE. but dpdxy is zero, i.e. the external 
+    PA0152            dp_external is .TRUE. but dpdxy is zero, 
+                       i.e. the external 
                        pressure gradient will not be applied
     PA0153            dpdxy is nonzero but dp_external is .FALSE., i.e. the 
@@ -241,8 +242,9 @@
     PA0155            noncyclic boundary conditions require
                        conserve_volume_flow_mode = ''inflow_profile''
-    PA0156            cyclic boundary conditions require conserve_volume_flow_mode =
-                       ''initial_profiles'' or ''bulk_velocity''
-                       requires noncyclic boundary conditions
-    PA0157            nonzero bulk velocity requires conserve_volume_flow = .T. and 
+    PA0156            cyclic boundary conditions require 
+                       conserve_volume_flow_mode = ''initial_profiles'' or 
+                       ''bulk_velocity'' requires noncyclic boundary conditions
+    PA0157            nonzero bulk velocity requires 
+                       conserve_volume_flow = .T. and 
                        conserve_volume_flow_mode = ''bulk_velocity''
     PA0158            no vertical boundary condition for variable "..." 
@@ -262,5 +264,6 @@
     PA0166            re-opening of file-id ... is not allowed
     PA0167            opening file-id ... not allowed for PE ...
-    PA0168            opening file-id ... is not allowed since it is used otherwise
+    PA0168            opening file-id ... is not allowed since it is used 
+                       otherwise
     PA0169            no filename for AVS-data-file found in MRUN-config-file 
                        filename in FLD-file set to "unknown"
@@ -285,5 +288,6 @@
     PA0184            if cloud_physics = FALSE output of ... is not provided
     PA0185            data_output_profiles: normalizing cross ... 
-                       is not possible since one of the normalizing factors is zero! 
+                       is not possible since one of the normalizing factors 
+                       is zero! 
                        cross_normx_factor(...,...) = ... 
                        cross_normy_factor(...,...) = ...
@@ -298,5 +302,6 @@
     PA0193            unknown initializing problem
     PA0194            number of time series quantities exceeds its maximum 
-                       of dots_max = ... Please increase dots_max in modules.f90.
+                       of dots_max = ... Please increase dots_max in 
+                       modules.f90.
     PA0195            dvrp_username is undefined
     PA0196            dvrp_output="..." not allowed
@@ -341,6 +346,6 @@
     PA0219            unknown boundary condition bc_par_lr = "..."
     PA0220            unknown boundary condition bc_par_ns = "..."
-    PA0221            number of PEs of the prescribed topology (...) does not match 
-                       the number of PEs available to the job ()
+    PA0221            number of PEs of the prescribed topology (...) does not 
+                       match the number of PEs available to the job ()
     PA0222            if the processor topology is prescribed by the user,
                        both values of "npex" and "npey" must be given
@@ -373,5 +378,6 @@
     PA0235            mg_switch_to_pe0_level out of range and reset to 
                        default (=0)      
-    PA0236            not enough memory for storing gathered multigrid data on PE0
+    PA0236            not enough memory for storing gathered multigrid data 
+                       on PE0
     PA0237             multigrid gather/scatter impossible in non parallel mode
     PA0238            more than 10 multigrid levels
@@ -390,5 +396,6 @@
     PA0244            no grid defined for variable ...
     PA0245            NetCDF file for volume data ... from previuos run found,
-                       but this file cannot be extended due to  variable mismatch. 
+                       but this file cannot be extended due to variable
+                       mismatch. 
                        New file is created instead.
     PA0246            NetCDF file for volume data ... from previuos run found,
@@ -402,32 +409,32 @@
     PA0248            NetCDF file for volume data ... from previous run found.
                        This file will be extended.
-    PA0249            NetCDF file for cross-sections ... from previuos run found,
-                       but this file cannot be extended due to variable mismatch.
-                       New file is created instead.
-    PA0250            NetCDF file for cross-sections ... from previuos run found,
-                       but this file cannot be extended due to mismatch in 
-                       number of cross sections. New file is created instead.
-    PA0251            NetCDF file for cross-sections ... from previuos run found
-                      but this file cannot be extended due to mismatch in cross
-                       section levels. New file is created instead.
-    PA0252            NetCDF file for cross sections ... from previuos run found,
-                       but this file cannot be extended because the current 
-                       output time is less or equal than the last output time 
-                       on this file.
-                       New file is created instead.
-    PA0253            NetCDF file for cross-sections ... from previous run found. 
-                       This file will be extended.
-    PA0254            NetCDF file for vertical profiles from previuos run found,
-                       but this file cannot be extended due to variable mismatch.
-                       New file is created instead. 
-    PA0255            NetCDF file for vertical profiles from previuos run found,
-                       but this file cannot be extended because the current 
-                       output time is less or equal than the last output time 
-                       on this file. New file is created instead.
-    PA0256            NetCDF file for vertical profiles from previous run found.
-                       This file will be extended.
+    PA0249            NetCDF file for cross-sections ... from previuos run 
+                       found, but this file cannot be extended due to 
+                       variable mismatch. New file is created instead.
+    PA0250            NetCDF file for cross-sections ... from previuos run 
+                       found, but this file cannot be extended due to
+                       mismatch in  number of cross sections. New file 
+                       is created instead.
+    PA0251            NetCDF file for cross-sections ... from previuos run 
+                       found but this file cannot be extended due to mismatch 
+                       in cross section levels. New file is created instead.
+    PA0252            NetCDF file for cross sections ... from previuos run 
+                       found, but this file cannot be extended because the 
+                       current output time is less or equal than the last 
+                       output time on this file. New file is created instead.
+    PA0253            NetCDF file for cross-sections ... from previous run 
+                       found. This file will be extended.
+    PA0254            NetCDF file for vertical profiles from previuos run 
+                       found, but this file cannot be extended due to variable
+                       mismatch. New file is created instead. 
+    PA0255            NetCDF file for vertical profiles from previuos run 
+                       found, but this file cannot be extended because the 
+                       current output time is less or equal than the last 
+                       output time on this file. New file is created instead.
+    PA0256            NetCDF file for vertical profiles from previous run 
+                       found. This file will be extended.
     PA0257            NetCDF file for time series from previuos run found
-                       but this file cannot be extended due tovariable mismatch. 
-                       New file is created instead.
+                       but this file cannot be extended due tovariable 
+                       mismatch. New file is created instead.
     PA0258            NetCDF file for time series from previuos run found,
                        but this file cannot be extended because the current 
@@ -437,6 +444,6 @@
                        This file will be extended.
     PA0260            NetCDF file for spectra from previuos run found, 
-                       but this file cannot be extended due to variable mismatch.
-                       New file is created instead.
+                       but this file cannot be extended due to variable 
+                       mismatch. New file is created instead.
     PA0261            NetCDF file for spectra from previuos run found, 
                        but this file cannot be extended due to mismatch in 
@@ -457,13 +464,13 @@
     PA0266            NetCDF file for particles from previous run found. 
                        This file will be extended.
-    PA0267            NetCDF file for particle time series from previuos run found,
-                       but this file cannot be extended due to variable mismatch. 
-                       New file is created instead.
-    PA0268            NetCDF file for particle time series from previuos run found, 
-                       but this file cannot be extended because the current 
-                       output time is less or equal than the last output time 
-                       on this file. New file is created instead.
-    PA0269            NetCDF file for particle time series from previous run found.
-                       This file will be extended.
+    PA0267            NetCDF file for particle time series from previuos run 
+                       found, but this file cannot be extended due to 
+                       variable mismatch. New file is created instead.
+    PA0268            NetCDF file for particle time series from previuos run 
+                       found, but this file cannot be extended because the 
+                       current output time is less or equal than the last 
+                       output time on this file. New file is created instead.
+    PA0269            NetCDF file for particle time series from previous run 
+                       found. This file will be extended.
     PA0270            mode "..." not supported
     PA0271            errors in \$inipar &or no \$inipar-namelist found 
@@ -556,5 +563,5 @@
     PA0311            number of gridpoints along x or/and y contain illegal  
                        factors only factors 8,6,5,4,3,2 are allowed
-    PA0312            Time step has reached minimum limit.',        &
+    PA0312            Time step has reached minimum limit.
                        dt      = ... s  Simulation is terminated. 
                        old_dt  = ... s                           
@@ -589,2 +596,12 @@
                        run on PE
     
+
+
+   internal assigned error numbers (errno) for the call of the subroutine
+   "handle_netcdf_error": 
+
+    assigned               free
+       1 -  346             347
+     348 -  375             376
+     377 -  428             386
+    1009 - 1010