Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 274)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 275)
@@ -322,5 +322,5 @@
                           ' ql_c=',ql_c(k,j,i), ' &part(',n,')%wf=', &
                           particles(n)%weight_factor,' delta_r=',delta_r
-             CALL message( 'advec_particles', 'PA0143', 2, 2, 0, 6, 0 )
+             CALL message( 'advec_particles', 'PA0143', 2, 2, 0, 6, 1 )
           ENDIF
 
@@ -333,5 +333,5 @@
                           ' &d_radius=',d_radius,' delta_r=',delta_r,&
                           ' particle_radius=',particles(n)%radius
-             CALL message( 'advec_particles', 'PA0144', 2, 2, 0, 6, 0 )
+             CALL message( 'advec_particles', 'PA0144', 2, 2, 0, 6, 1 )
           ENDIF
           particles(n)%radius = new_r
@@ -424,8 +424,8 @@
                            effective_coll_efficiency < 0.0 )     &
                       THEN
-                         WRITE( message_string, * ) 'collision_efficiency ' , &
-                                   'out of range:', effective_coll_efficiency
-                         CALL message( 'advec_particles', 'PA0145', &
-                                       2, 2, 0, 6, 0 )
+                         WRITE( message_string, * )  'collision_efficiency ' , &
+                                   'out of range:' ,effective_coll_efficiency
+                         CALL message( 'advec_particles', 'PA0145', 2, 2, 0,   &
+                                       6, 1 )
                       END IF
 
@@ -1925,5 +1925,5 @@
                                  '&but this is not allowed with ' // &
                                  'NetCDF output switched on'
-                CALL message( 'advec_particles', 'PA0146', 2, 2, 0, 6, 0 )
+                CALL message( 'advec_particles', 'PA0146', 2, 2, 0, 6, 1 )
              ELSE
 !    WRITE ( 9, * ) '*** advec_particles: before allocate_prt_memory dt_prel'
@@ -1945,5 +1945,5 @@
                                     '&but this is not allowed wi' // &
                                     'th NetCDF output switched on'
-                   CALL message( 'advec_particles', 'PA0147', 2, 2, 0, 6, 0 )
+                   CALL message( 'advec_particles', 'PA0147', 2, 2, 0, 6, 1 )
                 ELSE
 !    WRITE ( 9, * ) '*** advec_particles: before allocate_tail_memory dt_prel'
@@ -2330,5 +2330,5 @@
                                   '&but this is not allowed with ' //  &
                                   'NetCDF output switched on'
-                CALL message( 'advec_particles', 'PA0146', 2, 2, 0, 6, 0 )
+                CALL message( 'advec_particles', 'PA0146', 2, 2, 0, 6, 1 )
              ELSE
 !    WRITE ( 9, * ) '*** advec_particles: before allocate_prt_memory trrp'
@@ -2358,5 +2358,5 @@
                                     '&but this is not allowed wi'// &
                                     'th NetCDF output switched on'
-                CALL message( 'advec_particles', 'PA0147', 2, 2, 0, 6, 0 )
+                CALL message( 'advec_particles', 'PA0147', 2, 2, 0, 6, 1 )
                 ELSE
 !    WRITE ( 9, * ) '*** advec_particles: before allocate_tail_memory trrpt'
@@ -2407,5 +2407,5 @@
                                  '&but this is not allowed with '// &
                                  'NetCDF output switched on'
-                CALL message( 'advec_particles', 'PA0146', 2, 2, 0, 6, 0 )
+                CALL message( 'advec_particles', 'PA0146', 2, 2, 0, 6, 1 )
              ELSE
 !    WRITE ( 9, * ) '*** advec_particles: before allocate_prt_memory trlp'
@@ -2435,5 +2435,5 @@
                                     '&but this is not allowed wi'// &
                                     'th NetCDF output switched on'
-                   CALL message( 'advec_particles', 'PA0147', 2, 2, 0, 6, 0 ) 
+                   CALL message( 'advec_particles', 'PA0147', 2, 2, 0, 6, 1 ) 
                 ELSE
 !    WRITE ( 9, * ) '*** advec_particles: before allocate_tail_memory trlpt'
@@ -2771,5 +2771,5 @@
                                  '&but this is not allowed with '// &
                                  'NetCDF output switched on'
-                CALL message( 'advec_particles', 'PA0146', 2, 2, 0, 6, 0 ) 
+                CALL message( 'advec_particles', 'PA0146', 2, 2, 0, 6, 1 ) 
              ELSE
 !    WRITE ( 9, * ) '*** advec_particles: before allocate_prt_memory trnp'
@@ -2799,5 +2799,5 @@
                                     '&but this is not allowed wi' // &
                                     'th NetCDF output switched on'
-                   CALL message( 'advec_particles', 'PA0147', 2, 2, 0, 6, 0 ) 
+                   CALL message( 'advec_particles', 'PA0147', 2, 2, 0, 6, 1 ) 
                 ELSE
 !    WRITE ( 9, * ) '*** advec_particles: before allocate_tail_memory trnpt'
@@ -2848,5 +2848,5 @@
                                  '&but this is not allowed with ' // &
                                  'NetCDF output switched on'
-               CALL message( 'advec_particles', 'PA0146', 2, 2, 0, 6, 0 )  
+               CALL message( 'advec_particles', 'PA0146', 2, 2, 0, 6, 1 )  
              ELSE
 !    WRITE ( 9, * ) '*** advec_particles: before allocate_prt_memory trsp'
@@ -2876,5 +2876,5 @@
                                     '&but this is not allowed wi'// &
                                     'th NetCDF output switched on'
-                   CALL message( 'advec_particles', 'PA0147', 2, 2, 0, 6, 0 )
+                   CALL message( 'advec_particles', 'PA0147', 2, 2, 0, 6, 1 )
                 ELSE
 !    WRITE ( 9, * ) '*** advec_particles: before allocate_tail_memory trspt'
@@ -3079,5 +3079,5 @@
 
                   WRITE( message_string, * )  'particle too fast.  n = ',  n 
-                  CALL message( 'advec_particles', 'PA0148', 2, 2, 0, 6, 0 )
+                  CALL message( 'advec_particles', 'PA0148', 2, 2, 0, 6, 1 )
              ENDIF
           ENDIF