Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 276)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 277)
@@ -126,5 +126,5 @@
              WRITE( message_string, * ) 'opening file-id ',file_id, &
                                         ' not allowed for PE ',myid
-             CALL message( 'check_open', 'PA0167', 2, 2, 0, 6, 0 )
+             CALL message( 'check_open', 'PA0167', 2, 2, -1, 6, 1 )
           ENDIF
 
@@ -135,5 +135,5 @@
                 WRITE( message_string, * ) 'opening file-id ',file_id, &
                                            ' not allowed for PE ',myid
-                CALL message( 'check_open', 'PA0167', 2, 2, 0, 6, 0 )
+                CALL message( 'check_open', 'PA0167', 2, 2, -1, 6, 1 )
              END IF
           ENDIF
@@ -1244,5 +1244,5 @@
 
           WRITE( message_string, * ) 'no OPEN-statement for file-id ',file_id
-          CALL message( 'check_open', 'PA0172', 2, 2, 0, 6, 0 )
+          CALL message( 'check_open', 'PA0172', 2, 2, -1, 6, 1 )
 
     END SELECT
Index: /palm/trunk/SOURCE/init_particles.f90
===================================================================
--- /palm/trunk/SOURCE/init_particles.f90	(revision 276)
+++ /palm/trunk/SOURCE/init_particles.f90	(revision 277)
@@ -277,5 +277,5 @@
                                              myid
                                CALL message( 'init_particles', 'PA0216', &
-                                                                 2, 2, 0, 6, 0 )
+                                                                 2, 2, -1, 6, 1 )
                             ENDIF
                             particles(n)%x             = pos_x
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 276)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 277)
@@ -3626,5 +3626,5 @@
        message_string = TRIM( NF90_STRERROR( nc_stat ) )
 
-       CALL message( routine_name, message_identifier, 2, 2, 0, 6, 0 )
+       CALL message( routine_name, message_identifier, 2, 2, -1, 6, 1 )
 
     ENDIF
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 276)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 277)
@@ -141,5 +141,5 @@
                 message_string = 'data from subdomain of previous' // &
                                  ' run mapped more than 1000 times'
-                CALL message( 'read_3d_binary', 'PA0284', 2, 2, 0, 6, 0 )
+                CALL message( 'read_3d_binary', 'PA0284', 2, 2, -1, 6, 1 )
  
              ENDIF
@@ -256,5 +256,5 @@
                             '&= ', hor_index_bounds_previous_run(1,j),    &
                             '&from the index bound information array'
-          CALL message( 'read_3d_binary', 'PA0287', 2, 2, 0, 6, 0 )
+          CALL message( 'read_3d_binary', 'PA0287', 2, 2, -1, 6, 1 )
        ENDIF
 
@@ -265,5 +265,5 @@
                                '&= ', hor_index_bounds_previous_run(2,j),   &
                                '&from the index bound information array' 
-          CALL message( 'read_3d_binary', 'PA0288', 2, 2, 0, 6, 0 )
+          CALL message( 'read_3d_binary', 'PA0288', 2, 2, -1, 6, 1 )
 
        ENDIF
@@ -275,5 +275,5 @@
                                  '&= ', hor_index_bounds_previous_run(3,j),   &
                                      '&from the index bound information array'
-          CALL message( 'read_3d_binary', 'PA0289', 2, 2, 0, 6, 0 ) 
+          CALL message( 'read_3d_binary', 'PA0289', 2, 2, -1, 6, 1 ) 
        ENDIF
 
@@ -284,5 +284,5 @@
                                '&= ', hor_index_bounds_previous_run(4,j),   &
                                '&from the index bound information array'
-          CALL message( 'read_3d_binary', 'PA0290', 2, 2, 0, 6, 0 ) 
+          CALL message( 'read_3d_binary', 'PA0290', 2, 2, -1, 6, 1 ) 
        ENDIF
 