Index: /palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/init_dvrp.f90	(revision 278)
+++ /palm/trunk/SOURCE/init_dvrp.f90	(revision 279)
@@ -222,9 +222,7 @@
              dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) ) // '/camera.dvr'
              dvrp_file_c = dvrp_file
-#ifndef __nec
              CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                     dvrp_password_c, dvrp_directory_c, &
                                     dvrp_file_c )
-#endif
 
           ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -282,9 +280,7 @@
                               // '/topography.dvr'
                 dvrp_file_c = dvrp_file
-#ifndef __nec
                 CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                        dvrp_password_c, dvrp_directory_c, &
                                        dvrp_file_c )
-#endif
 
              ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -407,9 +403,7 @@
                            '/groundplate.dvr'
              dvrp_file_c = dvrp_file
-#ifndef __nec
              CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                     dvrp_password_c, dvrp_directory_c, &
                                     dvrp_file_c )
-#endif
 
           ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -539,8 +533,6 @@
                 name_c  = TRIM( do3d(0,vn) )
                 tmp_thr = threshold(tv)
-#ifndef __nec
                 CALL DVRP_STEERING_INIT( m-1, name_c, steering_dvrp(pn)%min, &
                                          steering_dvrp(pn)%max, tmp_thr )
-#endif
 
              ELSEIF ( mode_dvrp(pn)(1:6) == 'slicer' )  THEN
@@ -557,30 +549,24 @@
                       steering_dvrp(pn)%imax   = nz_do3d
                       slicer_position_dvrp(pn) = section(1,1)
-#ifndef __nec
                       CALL DVRP_STEERING_INIT( m-1, name_c,            &
                                                steering_dvrp(pn)%imin, &
                                                steering_dvrp(pn)%imax, &
                                                slicer_position_dvrp(pn) )
-#endif
                    CASE ( 'xz' )
                       steering_dvrp(pn)%imin   = 0
                       steering_dvrp(pn)%imax   = ny
                       slicer_position_dvrp(pn) = section(1,2)
-#ifndef __nec
                       CALL DVRP_STEERING_INIT( m-1, name_c,            &
                                                steering_dvrp(pn)%imin, &
                                                steering_dvrp(pn)%imax, &
                                                slicer_position_dvrp(pn) )
-#endif
                    CASE ( 'yz' )
                       steering_dvrp(pn)%imin = 0
                       steering_dvrp(pn)%imax = nx
                       slicer_position_dvrp(pn) = section(1,3)
-#ifndef __nec
                       CALL DVRP_STEERING_INIT( m-1, name_c,            &
                                                steering_dvrp(pn)%imin, &
                                                steering_dvrp(pn)%imax, &
                                                slicer_position_dvrp(pn) )
-#endif
                 END SELECT
 
@@ -593,9 +579,7 @@
           dvrp_file = prefix_chr // TRIM( mode_dvrp(m) ) // '/*****.dvr'
           dvrp_file_c = dvrp_file
-#ifndef __nec
           CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                  dvrp_password_c, dvrp_directory_c, &
                                  dvrp_file_c )
-#endif
 
        ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -736,7 +720,5 @@
 !--    Adjustment for new MPI-1 coupling. This might be unnecessary.
 #if defined( __mpi2 )
-#ifndef __nec
        CALL DVRP_SPLIT( MPI_COMM_WORLD, comm_palm )
-#endif
 #else
        IF ( coupling_mode /= 'uncoupled' ) THEN
@@ -745,11 +727,7 @@
           CALL message( 'init_dvrp_logging', 'PA0199', 1, 2, 0, 6, 0 )
  
-#ifndef __nec
           CALL DVRP_SPLIT( comm_inter, comm_palm )
-#endif
        ELSE
-#ifndef __nec
           CALL DVRP_SPLIT( MPI_COMM_WORLD, comm_palm )
-#endif
        ENDIF
 #endif