Index: /palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 280)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 281)
@@ -12,6 +12,6 @@
 # Enter your own host below by adding another line containing in the second
 # column your hostname (as provided by the unix command "hostname") and in the
-# third column the host identifier. Depending on your system, the first
-# characters of the host identifier should be "lc" (Linux cluster), "ibm"
+# third column the host identifier. Depending on your operating system, the
+# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
 # (IBM-AIX), or "nec" (NEC-SX), respectively.
 %host_identifier   service100  lcsgih
@@ -20,5 +20,5 @@
 %host_identifier   r2*         lcsgib
 %host_identifier   b01*        lcsgib
-%host_identifier   bora        lcmuk
+%host_identifier   gallego     lcmuk
 %host_identifier   cs*         nech
 %host_identifier   hreg*-en0   ibmh
@@ -27,4 +27,15 @@
 %host_identifier   berni*-en0  ibmb
 %host_identifier   tgg*        lctit
+#
+# The following blocks contain all information for compiling the PALM code
+# and for generating and running the PALM executable using MPI. Replace all
+# required paths (given in <>) by the respective paths valid on your host.
+# Please adjust compilernames, cpp-options, compiler-options etc. 
+# appropriately for your own system(s), and please delete or comment out
+# blocks for unused systems.
+#
+# The following 'lcmuk parallel' block assumes PALM compilation and execution
+# on host gallego. Please note that other hosts within the IMUK linux cluster,
+# e.g. maestro or bora, may have require different settings.
 #
 #%remote_username   <replace by your linux cluster username>     lcmuk parallel
@@ -35,6 +46,6 @@
 %netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.2/include            lcmuk parallel
 %netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.2/lib:-lnetcdf        lcmuk parallel
-%fopts             -axW:-cpp:-openmp:-r8:-nbs:-convert:little_endian:-I:/muksoft/packages/mpich2/2.1.0.4/include     lcmuk parallel
-%lopts             -axW:-cpp:-openmp:-r8:-nbs:-Vaxlib:-L:/muksoft/packages/mpich2/2.1.0.4/lib                    lcmuk parallel
+%fopts             -axW:-cpp:-r8:-nbs:-convert:little_endian:-I:/muksoft_64/packages/mpich2/2.1.0.5/include     lcmuk parallel
+%lopts             -axW:-cpp:-r8:-nbs:-Vaxlib:-L:/muksoft_64/packages/mpich2/2.1.0.5/lib                    lcmuk parallel
 #%hostfile          $base_directory/.hostfile                    lcmuk parallel
 #
@@ -52,24 +63,27 @@
 #
 %sgi_feature       ice                                        lcsgih parallel
-#%remote_username   <replace by your HLRN username>            lcsgih parallel
-%compiler_name     ifort                                      lcsgih parallel
+#%remote_username  <replace by your HLRN username>            lcsgih parallel
+%compiler_name     mpif90                                     lcsgih parallel
 %compiler_name_ser ifort                                      lcsgih parallel
+%mpilib            mvapich2/1.2.0-intel                       lcsgih parallel
 %cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgih parallel
-%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include          lcsgih parallel
+%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgih parallel
 %netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgih parallel
-%fopts             -g:-w:-xT:-O3:-cpp:-openmp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
-%lopts             -g:-w:-xT:-O3:-cpp:-openmp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-i-dynamic:-lmpi   lcsgih parallel
+%fopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
+%lopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib   lcsgih parallel
 #%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
 #%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel
 #
 %sgi_feature       ice                                        lcsgih parallel debug
-#%remote_username   <replace by your HLRN username>            lcsgih parallel debug
-%compiler_name     ifort                                      lcsgih parallel debug
+%totalview         true                                       lcsgih parallel debug
+#%remote_username  <replace by your HLRN username>            lcsgih parallel debug
+%compiler_name     mpif90                                     lcsgih parallel debug
 %compiler_name_ser ifort                                      lcsgih parallel debug
+%mpilib            mvapich2/1.2.0-intel                       lcsgih parallel debug
 %cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgih parallel debug
-%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include          lcsgih parallel debug
+%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgih parallel debug
 %netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgih parallel debug
 %fopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel debug
-%lopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgih parallel debug
+%lopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib           lcsgih parallel debug
 #%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel debug
 #%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel debug
@@ -189,14 +203,11 @@
 # INPUT-commands, executed before running PALM - lines must start with "IC:" 
 #----------------------------------------------------------------------------
-#IC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  assign -F cachea:512:1:1 f:BININ
+#IC:
 #
 #----------------------------------------------------------------------------
 # ERROR-commands - executed when program terminates abnormally
 #----------------------------------------------------------------------------
-EC:[[ \$locat = compile && ( \$( echo \$localhost | cut -c1-3 ) = t3e ) ]]  &&  cat  cflist.out
 EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
-EC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  ls -al
-EC:[[ \$( echo \$localhost | cut -c1-3 ) = ibm ]]  &&  ls -al
+EC:pwd; ls -al
 #
 #----------------------------------------------------------------------------
@@ -204,5 +215,4 @@
 #----------------------------------------------------------------------------
 #
-OC:[[ -f CPU_MEASURES/_0000 ]]  &&  cat  CPU_MEASURES/* >> CPU_MEASURE_ALL
 # Combine 1D- and 3D-profile output (these files are not usable for plotting)
 OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
@@ -212,43 +222,25 @@
 OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
 #
-# Extend number of files to be opened simultaneously (sometimes necessary
-# for combine_plot_fields
-#OC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  limit -v -f 255 -p 0
-#
-# Combine the 2D- and 3D-plot-data of the subdomains (one file per PE) to
-# one file respectively
-OC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  combine_plot_fields.x
-OC:[[ \$( echo \$localhost | cut -c1-3 ) = ibm ]]  &&  combine_plot_fields.x
-OC:[[ \$( echo \$localhost | cut -c1-3 ) = nec ]]  &&  combine_plot_fields.x
-OC:[[ \$( echo \$localhost | cut -c1-3 ) = dec ]]  &&  combine_plot_fields.x
-OC:[[ \$( echo \$localhost | cut -c1-2 ) = lc  ]]  &&  combine_plot_fields.x
-#
-# Combine parameter files necessary for plot software (iso2d + AVS)
-OC:[[ -f PLOT2D_XY_GLOBAL   ]]  &&  cat  PLOT2D_XY_LOCAL >> PLOT2D_XY_GLOBAL
-OC:[[ -f PLOT2D_XZ_GLOBAL   ]]  &&  cat  PLOT2D_XZ_LOCAL >> PLOT2D_XZ_GLOBAL
-OC:[[ -f PLOT2D_YZ_GLOBAL   ]]  &&  cat  PLOT2D_YZ_LOCAL >> PLOT2D_YZ_GLOBAL
-OC:[[ -f PLOT3D_FLD         ]]  &&  cat  PLOT3D_FLD_COOR >> PLOT3D_FLD
-#
-# tar all 3D-plot-data files in case that compressed output is switched on
-OC:[[ -f PLOT3D_COMPRESSED  ]]  &&  tar cf  PLOT3D_DATA  PLOT3D_DATA_*
+# Collect plot data (2d/3d) into one file
+OC:combine_plot_fields.x
 #
 #----------------------------------------------------------------------------
 # List of input-files
 #----------------------------------------------------------------------------
-PARIN                    in:job        d3#   $base_data/$fname/INPUT    _p3d
-PARIN                    in:job        d3f   $base_data/$fname/INPUT    _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#   $base_data/$fname/INPUT    _topo
-BININ                    in:loc:flpe   d3f   $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf  $base_data/$fname/RESTART  _rprt
-DATA_1D_PR_NETCDF        in:locopt     prf   $base_data/$fname/OUTPUT   _pr     nc
-DATA_1D_SP_NETCDF        in:locopt     spf   $base_data/$fname/OUTPUT   _sp     nc
-DATA_1D_TS_NETCDF        in:locopt     tsf   $base_data/$fname/OUTPUT   _ts     nc
-DATA_1D_PTS_NETCDF       in:locopt     ptsf  $base_data/$fname/OUTPUT   _pts    nc
-DATA_2D_XY_NETCDF        in:locopt     xyf   $base_data/$fname/OUTPUT   _xy     nc
-DATA_2D_XY_AV_NETCDF     in:locopt     xyf   $base_data/$fname/OUTPUT   _xy_av  nc
-DATA_2D_XZ_NETCDF        in:locopt     xzf   $base_data/$fname/OUTPUT   _xz     nc
-DATA_2D_YZ_NETCDF        in:locopt     yzf   $base_data/$fname/OUTPUT   _yz     nc
-DATA_3D_NETCDF           in:locopt     3df   $base_data/$fname/OUTPUT   _3d     nc
-DATA_PRT_NETCDF          in:locopt:pe  prtf  $base_data/$fname/OUTPUT   _prt
+PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
 #
 #----------------------------------------------------------------------------
@@ -264,11 +256,6 @@
 CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
 CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
-DVRP_LOG          out:loc:tr   dv#     $base_data/$fname/MONITORING  _dvrp_log
-DVRP_LOG          out:loc:tra  dvf     $base_data/$fname/MONITORING  _dvrp_log
-PARTICLE_INFO     out:loc:tr   pt#     $base_data/$fname/MONITORING  _prt_info
-PARTICLE_INFO     out:loc:tra  ptf     $base_data/$fname/MONITORING  _prt_info
 #
 DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
-#DATA_1D_PR_NETCDF    out:loc      pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
 DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
 DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
@@ -284,8 +271,10 @@
 DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-#
-PLOT3D_FLD        out:loc:tr   avs     $base_data/$fname/OUTPUT      _fld  fld
-PLOT3D_COOR       out:loc:tr   avs     $base_data/$fname/OUTPUT      _avscor
-PLOT3D_DATA       out:loc:tr   avs     $base_data/$fname/OUTPUT      _avs
-PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT    _prt_dat
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+#
+DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
+DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
+PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
 